## org.eclipse.datatools.modelbase.sql.query
Class ValueExpressionUnaryOperator

    java.lang.Object
      AbstractEnumerator
          org.eclipse.datatools.modelbase.sql.query.ValueExpressionUnaryOperator

public final class ValueExpressionUnaryOperator
extends AbstractEnumerator

A representation of the literals of the enumeration 'SQL Value Expression Unary Operator', and utility methods for working with them.

See Also:
  `SQLQueryModelPackage.getValueExpressionUnaryOperator()`, Serialized Form

Field Summary
`static int` `MINUS` The 'MINUS' literal value.
`static ValueExpressionUnaryOperator` `MINUS_LITERAL` The 'MINUS' literal object.
`static int` `NONE` The 'NONE' literal value.
`static ValueExpressionUnaryOperator` `NONE_LITERAL` The 'NONE' literal object.
`static int` `PLUS` The 'PLUS' literal value.
`static ValueExpressionUnaryOperator` `PLUS_LITERAL` The 'PLUS' literal object.
`static java.util.List` `VALUES` A public read-only list of all the 'Value Expression Unary Operator' enumerators.

Method Summary
`static ValueExpressionUnaryOperator` `get(int value)` Returns the 'Value Expression Unary Operator' literal with the specified integer value.
`static ValueExpressionUnaryOperator` `get(java.lang.String literal)` Returns the 'Value Expression Unary Operator' literal with the specified literal value.
`static ValueExpressionUnaryOperator` `getByName(java.lang.String name)` Returns the 'Value Expression Unary Operator' literal with the specified name.

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### NONE

    public static final int NONE

  The 'NONE' literal value.

  See Also:
    `NONE_LITERAL`, Constant Field Values

### PLUS

    public static final int PLUS

  The 'PLUS' literal value.

  See Also:
    `PLUS_LITERAL`, Constant Field Values

### MINUS

    public static final int MINUS

  The 'MINUS' literal value.

  See Also:
    `MINUS_LITERAL`, Constant Field Values

### NONE_LITERAL

    public static final ValueExpressionUnaryOperator NONE_LITERAL

  The 'NONE' literal object.

  If the meaning of 'NONE' literal object isn't clear, there really should be more of a description here...

  See Also:
    `NONE`

### PLUS_LITERAL

    public static final ValueExpressionUnaryOperator PLUS_LITERAL

  The 'PLUS' literal object.

  If the meaning of 'PLUS' literal object isn't clear, there really should be more of a description here...

  See Also:
    `PLUS`

### MINUS_LITERAL

    public static final ValueExpressionUnaryOperator MINUS_LITERAL

  The 'MINUS' literal object.

  If the meaning of 'MINUS' literal object isn't clear, there really should be more of a description here...

  See Also:
    `MINUS`

### VALUES

    public static final java.util.List VALUES

  A public read-only list of all the 'Value Expression Unary Operator' enumerators.

Method Detail

### get

    public static ValueExpressionUnaryOperator get(java.lang.String literal)

  Returns the 'Value Expression Unary Operator' literal with the specified literal value.

### getByName

    public static ValueExpressionUnaryOperator getByName(java.lang.String name)

  Returns the 'Value Expression Unary Operator' literal with the specified name.

### get

    public static ValueExpressionUnaryOperator get(int value)

  Returns the 'Value Expression Unary Operator' literal with the specified integer value.

Copyright © 2006 Actuate, IBM Corporation, Sybase, Inc. and others. All rights reserved.